<div class="answers">
    {% for answer in answers %}
    <div class="answer">
        {% if profile %}
        <div>
            <a class="question-link" href="{{ url_for('.questions', id=answer.question.id) }}">{{ answer.question.body }}</a>
        </div>
        {% endif %}
        <div class="answer-thumbnail">
            <a href="{{ url_for('.users', username=answer.author.username) }}">
                <img class="img-circle profile-thumbnail" src="{{ answer.author.avatar(size=40) }}">
            </a>
        </div>
        <div class="answer-content">
                <div class="answer-author">
                        <a href="{{ url_for('.users', username=answer.author.username) }}">
                            {{answer.author.username}}
                        </a>
                    </div>
            <div class="answer-date">{{ moment(answer.timestamp).fromNow() }}</div>
            <div class="answer-body">
                {% if answer.body_html %}
                    {{ answer.body_html | safe }}
                {% else %}
                    {{ answer.body }}
                {% endif %}
            </div>
            <div class="answer-footer">
                {% if current_user.is_voted(answer).type == 'up' %}
                    <a class="upvote btn btn-info btn-sm active" href="{{ url_for('.unvote', id=answer.id) }}">Upvoted
                {% else %}
                    <a class="upvote btn btn-info btn-sm" href="{{ url_for('.vote', id=answer.id) }}">Upvote
                {% endif %} | {{ answer.upvotes }}</a>
                {% if current_user.is_voted(answer).type == 'down' %}
                    <a class="downvote btn btn-link btn-sm active" href="{{ url_for('.unvote', id=answer.id) }}">Downvoted
                {% else %}
                    <a class="downvote btn btn-link btn-sm" href="{{ url_for('.vote', id=answer.id) }}">Downvote
                {% endif %}</a>
                {% if current_user == answer.author %}
                <a class="answer-edit" href="{{ url_for('.edit_answer', id=answer.id) }}">
                    <span class="label label-primary">Edit</span>
                </a>
                {% endif %}
            </div>
        </div>
        <div class="answer-editor" style="display: none;"></div>
    </div>
    {% endfor %}
</div>